package impl.model;

public class SearchResult {
	private Corpus corpus;
	private double cosineSimilarity;

	public SearchResult(Corpus corpus, double cosineSimilarity) {
		this.corpus = corpus;
		this.cosineSimilarity = cosineSimilarity;
	}

	public String toJson() {
		StringBuilder sb = new StringBuilder();
		sb.append("{\"corpus\":" + corpus.toJson() + ",");
		sb.append("\"cosineSimilarity\":" + cosineSimilarity + "}");
		return sb.toString();
	}

	public Corpus getCorpus() {
		return corpus;
	}

	public double getCosineSimilarity() {
		return cosineSimilarity;
	}
}
