package impl.tool;

import impl.language.Language;
import impl.language.splitting.Splitter;
import impl.language.splitting.StatisticalSplitter;
import impl.model.Database;
import impl.model.Environment;

import java.util.Arrays;
import java.util.Scanner;

public class Blarg3 {
	public static void main(String[] args) {
		Database database = new Database(Environment.getInstance().getProperty("test-db-ext"));
		Scanner scanner = new Scanner(System.in);
		Splitter splitter = new StatisticalSplitter(Language.NO, database, false);
		String compound;
		do {
			compound = scanner.next();
			System.out.println(Arrays.toString(splitter.process(compound)));
		} while(true);
	}
}
