CREATE TABLE IF NOT EXISTS corpus(
id INTEGER PRIMARY KEY AUTO_INCREMENT,
collection VARCHAR(24) NOT NULL,
language VARCHAR(2) NOT NULL,
title VARCHAR(64) NOT NULL,
source VARCHAR(4) NOT NULL,
UNIQUE KEY(collection, language, title, source)
);

CREATE TABLE IF NOT EXISTS term(
id INTEGER PRIMARY KEY AUTO_INCREMENT,
language VARCHAR(2) NOT NULL,
lemma VARCHAR(32) NOT NULL,
pos VARCHAR(12) DEFAULT NULL,
UNIQUE KEY(language, lemma, pos)
);

CREATE TABLE IF NOT EXISTS corpus_term(
corpus_id INT UNSIGNED NOT NULL,
term_id INT UNSIGNED NOT NULL,
count INTEGER UNSIGNED NOT NULL,
PRIMARY KEY(corpus_id, term_id),
UNIQUE KEY(corpus_id, term_id)
);