<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:for-each select="text/head/meta/w"><xsl:value-of select="text()"/>&#160;&#173;</xsl:for-each>
				</title>
			</head>
			<body>
				<h1>
					<xsl:for-each select="text/head/meta/w"><xsl:value-of select="text()"/>&#160;&#173;</xsl:for-each>
				</h1>
				<xsl:for-each select="text/body/p">
					<p>
						<xsl:for-each select="s/w"><xsl:value-of select="text()"/>&#160;&#173;</xsl:for-each>
					</p>
				</xsl:for-each>
				<xsl:for-each select="document/s">
					<p>
						<xsl:for-each select="w"><xsl:value-of select="text()"/>&#160;&#173;</xsl:for-each>
					</p>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>