$(document).ready(function() {
	$('#resultsection').hide();
});

function search() {
	$('#querytable tbody').html("");
	$('#corpustable tbody').html("");
	$('#resultsection').show();
	url = '/ajax?query=' + $('#query').val()
			+ '&lang_src=' + $('#lang_src').val()
			+ '&lang_trg=' + $('#lang_trg').val();
	$.get(url, function(data) {
		report = JSON.parse(data);
		for (i in report['queries']) {
			query = report['queries'][i];
			terms = [];
			for (j in query['vector']) {
				terms.push(query['vector'][j]['lemma'] + '(' + query['vector'][j]['pos'] + ')');
			}
			$('#querytable tbody').append('<tr></tr>');
			$('#querytable tbody tr').last().append('<th>' + query['language'] + ':</th>');
			$('#querytable tbody tr').last().append('<td>' + terms.join(', ') + '</td>');
		}
		j = 0;
		for (i in report['corpora']) {
			result = report['corpora'][i];
			$('#corpustable tbody').append('<tr></tr>');
			$('#corpustable tbody tr').last().append('<td>' + ++j + '</td>');
			$('#corpustable tbody tr').last().append('<td>' + result['corpus']['collection'] + '</td>');
			$('#corpustable tbody tr').last().append('<td><a href="/corpus/'
					+ result['corpus']['source']+ '/' + result['corpus']['collection'] + '/' + result['corpus']['language'] + '/'
					+ result['corpus']['title'] + '">' + result['corpus']['title'] + '</a></td>');
			$('#corpustable tbody tr').last().append('<td>' + result['corpus']['language'] + '</td>');
			$('#corpustable tbody tr').last().append('<td>' + result['corpus']['source'] + '</td>');
			$('#corpustable tbody tr').last().append('<td>' + result['cosineSimilarity'].toPrecision(4) + '</td>');
		}
		if (j == 0) {
			$('#corpustable tbody').append('<tr></tr>');
			$('#corpustable tbody tr').append('<td colspan="6">No results</td>');
		}
	}).fail(function(xhr, status, error) {
		alert(xhr.status + ": " + error + "\n" + xhr.responseText);
	});
}